extends ../index.pug

block title
  | #{ templatedTitle('New destination') }

block content
  form.mb-6(method="POST")
    section(
      class=mobilizon.hasError ? "border-l-8 border-red-300 dark_border-gray-800 pl-3" : ""
    )
      h2.text-2xl #{ __('Available destinations from your Mobilizon account') }
      p #{ mobilizon.hostname }
      .ml-2.px-2.overflow-scroll&attributes({ class: 'max-h-[70vh]' })
        if mobilizon.profiles.length === 0
          p #{ __('Account unavailable') }
        else
          h3.text-xl.my-4 #{ __('Profiles') }
          each profile in mobilizon.profiles
            li.text-lg.gap-2.my-4
              label.flex.items-center.gap-2.flex-1
                input.peer(
                  type="checkbox",
                  name="destinations",
                  value=new URLSearchParams({ destinationType: "MBZ_DESTINATION", url: profile.url, name: profile.name || profile.preferredUsername, imageUrl: profile.avatar ? profile.avatar.url || null : null }).toString()
                )
                .flex.gap-2.items-center.flex-1.rounded.min-w-0.p-1.bg-mbz-yellow-alt-100.hover_bg-mbz-yellow-alt-200.peer-checked_bg-mbz-yellow-alt-400.dark_bg-mbz-purple-600.dark_hover_bg-mbz-purple-700.dark_peer-checked_bg-mbz-purple-500.text-slate-800.dark_text-white
                  if profile.avatar
                    img.w-12.h-12.rounded-full.shrink-0(
                      src=profile.avatar.url,
                      height=50,
                      width=50
                    )
                  else
                    .h-12.w-12.rounded-full.shrink-0
                      include ../icons/account.svg
                  .overflow-hidden
                    p.font-bold.line-clamp-2= profile.name
                    p.text-sm.truncate @#{ profile.preferredUsername }
                    .line-clamp-3 !{ profile.summary }
          h2.text-xl.my-4 #{ __('Groups') }
          each membership in mobilizon.memberships
            li.text-lg.gap-2.my-4.px-1
              label.flex.items-center.gap-2.flex-1
                input.peer(
                  type="checkbox",
                  name="destinations",
                  value=new URLSearchParams({ destinationType: "MBZ_DESTINATION", url: membership.parent.url, name: membership.parent.name || membership.parent.preferredUsername, imageUrl: membership.parent.avatar ? membership.parent.avatar.url || null : null }).toString()
                )
                .flex.gap-2.items-center.flex-1.rounded.min-w-0.peer-checked_bg-mbz-yellow-alt-400.p-1.bg-mbz-yellow-alt-100.dark_bg-mbz-purple-600.dark_hover_bg-mbz-purple-700.dark_peer-checked_bg-mbz-purple-500.text-slate-800.dark_text-white
                  if membership.parent.avatar
                    img.w-12.h-12.rounded-full(
                      src=membership.parent.avatar.url,
                      height=50,
                      width=50
                    )
                  else
                    .h-12.w-12.rounded-full
                      include ../icons/account_group.svg
                  .overflow-hidden
                    p.font-bold.line-clamp-2= membership.parent.name
                    p.text-sm.truncate @#{ membership.parent.preferredUsername }
                    p= membership.role
                    .line-clamp-3 !{ membership.parent.summary }
    .flex.flex-wrap.items-center.justify-center.gap-2.mt-4
      button.button-primary(disabled=mobilizon.hasError, type="submit") #{ __('Add selected destinations') }
      a.button-outlined(href="/webhook/new") #{ __('Add Webhook') }
